using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AudioWallpaper.Sso.Exceptions {
    public class SsoException:Exception {
        public SsoException() {
        }
        public SsoException(string message) : base(message) {
        }
        public SsoException(string message, Exception innerException) : base(message, innerException) {
        }
        public SsoException(string message, string? errorCode) : base(message) {
            ErrorCode = errorCode;
        }
        public string? ErrorCode { get; set; } = null;
    }
}
